﻿header#mainHeader {
    /*height: 200px;*/
    display: grid;
    grid-template-areas:
        'logo title mainMenu';
    grid-template-columns: min-content 1fr 1fr;
    align-items: center;
    gap: 1.6em;
    font-family: 'roboto-regular';
    font-weight: normal;
    margin: 2em;
    /*    margin-left: 3vw;
    margin-right: 3vw;*/
    margin-left: 0;
    margin-right: 0;
    padding-left: var(--primary-padding-left);
    padding-right: var(--primary-padding-right);
    position: relative;
}

@media (max-width: 82em) {
    header#mainHeader {
        gap: 0.8em;
    }
}

.logoColumn {
    grid-area: logo;
    /*display: flex;
    align-items: center;*/
    /* margin-left: 3em;
    margin-right: 2em;*/
}



@media (max-width: 62em) {
    .logoColumn {
        

    }
}

header#mainHeader .logo {
    width: 50px;
    height: auto;
}


@media (max-width: 82em) {
    header#mainHeader .logo {
        width: 35px;
    }
}

header#mainHeader h2 {
    grid-area: title;
    font-size: 2.4em;
    font-weight: normal;
    color: var(--theme-main-color);
}

@media (max-width: 82em) {
    header#mainHeader h2 {
        font-size: 1.8em;
    }
}

@media (max-width: 62em) {
    header#mainHeader h2 {
        font-size: 1.4em;
    }
}

@media (max-width: 43em) {
    header#mainHeader h2 {
        font-size: 1.0em;
        line-height: 1em;
    }
}


header#mainHeader .logoColumn a {
    /*margin-bottom: 0px;*/

    display: flex;
    
}

.wrapperNav {
    grid-area: mainMenu;

}

